import org.dom4j.Document;
import org.dom4j.io.SAXReader;
import org.dom4j.Element;
import java.util.List;

public class DeliciousPosts {

  public static void main(String[] args) throws Exception {

    String username = args[0];
    String password = args[1];

    SAXReader reader = new SAXReader();
    EasyHTTPGet getter = new EasyHTTPGet(
      "https://api.del.icio.us/v1/posts/recent", username, password
    );

    Document document = reader.read(getter.responseAsInputStream());
    List hrefs = document.selectNodes("//posts/post");

    for (Object o: hrefs) {
      Element elem = (Element)o;
      String href = elem.attributeValue("href");
      System.out.println(href);
    }

  }

}
